org.apache.cassandra.index.sasi.disk

## Class TokenTree

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.TokenTree

    public class TokenTree
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `TokenTree.OnDiskToken`
`class` `TokenTree.TokenTreeIterator`

### Constructor Summary

Constructors
`` `TokenTree(Descriptor d, MappedBuffer tokenTree)`
`protected` `TokenTree(MappedBuffer tokenTree)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenTree.OnDiskToken` `get(long searchToken, com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)`
`long` `getCount()`
`RangeIterator<java.lang.Long,Token>` `iterator(com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenTree

    protected TokenTree(MappedBuffer tokenTree)

#### TokenTree

    public TokenTree(Descriptor d,
                     MappedBuffer tokenTree)

### Method Detail

#### getCount

    public long getCount()

#### iterator

    public RangeIterator<java.lang.Long,Token> iterator(com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)

#### get

    public TokenTree.OnDiskToken get(long searchToken,
                                     com.google.common.base.Function<java.lang.Long,DecoratedKey> keyFetcher)